NumberFormatter::setPattern
NumberFormatter::setTextAttribute
NumberFormatter
PHP Manual

# NumberFormatter::setSymbol

# numfmt_set_symbol

Set a symbol value

### Description

Object oriented style

public bool NumberFormatter::setSymbol ( int `$attr` , string `$value` )

Procedural style

bool numfmt_set_symbol ( NumberFormatter `$fmt` , int `$attr` , string `$value` )

Set a symbol associated with the formatter. The formatter uses symbols to represent the special locale-dependent characters in a number, for example the percent sign. This API is not supported for rule-based formatters.

### Parameters

`fmt`

  NumberFormatter object.

`attr`

  Symbol specifier, one of the format symbol constants.

`value`

  Text for the symbol.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 numfmt_set_symbol example

`<?php
$fmt = numfmt_create( 'de_DE', NumberFormatter::DECIMAL );
echo "Sep: ".numfmt_get_symbol($fmt, NumberFormatter::GROUPING_SEPARATOR_SYMBOL)."\n";
echo numfmt_format($fmt, 1234567.891234567890000)."\n";
numfmt_set_symbol($fmt, NumberFormatter::GROUPING_SEPARATOR_SYMBOL, "*");
echo "Sep: ".numfmt_get_symbol($fmt, NumberFormatter::GROUPING_SEPARATOR_SYMBOL)."\n";
echo numfmt_format($fmt, 1234567.891234567890000)."\n";
?>`

Example #2 OO example

`<?php
$fmt = new NumberFormatter( 'de_DE', NumberFormatter::DECIMAL );
echo "Sep: ".$fmt->getSymbol(NumberFormatter::GROUPING_SEPARATOR_SYMBOL)."\n";
echo $fmt->format(1234567.891234567890000)."\n";
$fmt->setSymbol(NumberFormatter::GROUPING_SEPARATOR_SYMBOL, "*");
echo "Sep: ".$fmt->getSymbol(NumberFormatter::GROUPING_SEPARATOR_SYMBOL)."\n";
echo $fmt->format(1234567.891234567890000)."\n";
?>`

The above example will output:

    Sep: .
    1.234.567,891
    Sep: *
    1*234*567,891

### See Also

- numfmt_get_error_code
- numfmt_get_symbol